## wl-beta 2.15.9+0.20210629

=== debian/changelog ===
wl-beta (2.15.9+0.20210629-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20210629
  * Drop debian/patches

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 17 Aug 2021 23:33:42 +0900

wl-beta (2.15.9+0.20210131-4) experimental; urgency=medium

  * New patch 010_elmo-msgdb.patch to remove old elmo-folder-get-info
  * Remove unneeded handling of no-native-compile

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 30 Jun 2021 19:37:47 +0900

wl-beta (2.15.9+0.20210131-3) experimental; urgency=medium

  * Set no-native-compile to t in elmo-msgdb.el for Emacs 28

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 19 Jun 2021 19:09:51 +0900
