=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1

PACKAGE=`cat debian/PACKAGE`
PKGSNAME=wl

get-orig-source:
	wget -O upstream.tar.gz https://github.com/wanderlust/wanderlust/tarball/master
	mv -f upstream.tar.gz `LC_ALL=C tar ztvf upstream.tar.gz --utc | perl -ne 'if (/ (\d\d\d\d)-(\d\d)-(\d\d) /) {print "wl-beta_2.15.9+0.$$1$$2$$3.orig.tar.gz\n"; exit}'`

pre-build: pre-build-stamp
pre-build-stamp:
	dh_testdir
	grep '^Package: ' debian/control | head -1 | sed -e "s/^Package: //" > debian/PACKAGE

	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-remove.in > debian/emacsen-remove
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
	touch $@

build-indep: pre-build build-indep-stamp
build-indep-stamp:
	dh_testdir
	cd doc && makeinfo wl.texi && makeinfo wl-ja.texi
	touch $@

build-arch:

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f *build*-stamp
	rm -f doc/*.info* debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup
	dh_clean

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -r WL-* NEWS* wl elmo utils debian/$(PACKAGE)/usr/share/$(PKGSNAME)/
	rm -f debian/$(PACKAGE)/usr/share/$(PKGSNAME)/wl/ChangeLog*
	rm -f debian/$(PACKAGE)/usr/share/$(PKGSNAME)/elmo/ChangeLog*
	rm -f debian/$(PACKAGE)/usr/share/$(PKGSNAME)/utils/ChangeLog*
	cp -r etc/icons/* debian/$(PACKAGE)/usr/share/pixmaps/$(PKGSNAME)/
	cp etc/ja.Emacs debian/$(PACKAGE)/etc/X11/Xresources/wanderlust.ja

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installemacsen --priority 65
	dh_installinfo
	dh_installchangelogs
	dh_link usr/share/pixmaps/$(PKGSNAME) usr/share/$(PKGSNAME)/etc/icons
	dh_link usr/share/$(PKGSNAME)/NEWS /usr/share/doc/$(PACKAGE)/NEWS
	dh_link usr/share/$(PKGSNAME)/NEWS.ja /usr/share/doc/$(PACKAGE)/NEWS.ja

	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install
