=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=2.15.9+0.%cd, date=%Y%m%d" \
https://github.com/wanderlust/wanderlust HEAD debian uupdate
