## wl-beta 2.15.9+0.20220103

=== debian/changelog ===
wl-beta (2.15.9+0.20220103-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 3 obsolete maintscript entries in 1 files
  * Fix day-of-week for changelog entries 0.9.3-3, 0.9.3-2

  [ Tatsuya Kinoshita ]
  * New upstream version 2.15.9+0.20220103
  * Update debian/copyright
  * Update Standards-Version to 4.6.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 24 Apr 2022 16:30:15 +0900
