=== debian/changelog ===
wl-beta (2.15.9+0.20230120-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20230120
  * Use shell function for PACKAGE
  * Update get-orig-source

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 23 Jan 2023 22:45:36 +0900

wl-beta (2.15.9+0.20221117-2) unstable; urgency=medium

  * Enable inhibit-automatic-native-compilation when byte-compiling
  * Enable byte-compile-warnings when byte-compiling
  * Leave a compilation log
  * Relax dependencies on emacs flavors
  * Update Standards-Version to 4.6.2
  * Typo fix in README.Debian
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2023 22:55:56 +0900

wl-beta (2.15.9+0.20221117-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (closes: #1013861)

  [ Tatsuya Kinoshita ]
  * New upstream version 2.15.9+0.20221117
  * Prevent native compilation in emacsen-install
  * Remove empty maintainer scripts
  * Update Standards-Version to 4.6.1
  * Avoid egrep in maintainer scripts

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 18 Nov 2022 23:51:11 +0900
