=== debian/rules ===
--- 
+++ 
@@ -2,18 +2,16 @@
 
 #export DH_VERBOSE=1
 
-PACKAGE=`cat debian/PACKAGE`
+PACKAGE := $(shell sed -n '/^Source:/{s/.*: //;p;q}' debian/control)
 PKGSNAME=wl
 
 get-orig-source:
 	wget -O upstream.tar.gz https://github.com/wanderlust/wanderlust/tarball/master
-	mv -f upstream.tar.gz `LC_ALL=C tar ztvf upstream.tar.gz --utc | perl -ne 'if (/ (\d\d\d\d)-(\d\d)-(\d\d) /) {print "wl-beta_2.15.9+0.$$1$$2$$3.orig.tar.gz\n"; exit}'`
+	ver=`sed 's/.* (//;s/[+-].*//;q' debian/changelog` ymd=`tar ztvf upstream.tar.gz | sed 's/.* \([0-9][0-9][0-9][0-9]\)-\([0-9][0-9]\)-\([0-9][0-9]\) .*/\1\2\3/;q'` && mv -f upstream.tar.gz $(PACKAGE)_$$ver+0.$$ymd.orig.tar.gz
 
 pre-build: pre-build-stamp
 pre-build-stamp:
 	dh_testdir
-	grep '^Package: ' debian/control | head -1 | sed -e "s/^Package: //" > debian/PACKAGE
-
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
@@ -35,7 +33,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f *build*-stamp
-	rm -f doc/*.info* debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup
+	rm -f doc/*.info* debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup
 	dh_clean
 
 install: build-indep
